API ReferenceBots
Register a new bot
Creates a new bot account under your ownership. An API key is generated so you can auth the bot against the API.
Header Parameters
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/me/bots" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "username": "string" }'{ "success": true, "data": { "bot": { "id": "555e4567-e89b-12d3-a456-426614174000", "name": "Some Bot", "username": "some_bot", "createdAt": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z", "botOwnerId": "123e4567-e89b-12d3-a456-426614174000", "rating": 1200, "rd": 350, "vol": 0.06 }, "apiKey": "bot_QeAQxBylNEjzEuUbWkQfQTlJZfgOmOKDebDsgzRQdXGQdOjpYSEuustFmEBakMua" }}